Skip to main content
POST
/
charges
/
{flw_ref}
/
capture
Capture a Charge
curl --request POST \
  --url https://api.flutterwave.com/v3/charges/{flw_ref}/capture \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "amount": 100
}'
{
  "status": "success",
  "message": "Charge captured",
  "data": {
    "id": 4973327,
    "tx_ref": "YOUR_UNIQUE_REFERENCE",
    "flw_ref": "FLW-MOCK-PREAUTH-1c4b0406fccc0fad316b46f947e870e9",
    "device_fingerprint": "N/A",
    "amount": 100,
    "charged_amount": 100,
    "app_fee": 5.8,
    "merchant_fee": 0,
    "processor_response": "Approved",
    "auth_model": "NOAUTH",
    "currency": "NGN",
    "ip": "52.209.154.143",
    "narration": "FLW-PBF CARD Transaction ",
    "status": "successful",
    "auth_url": "N/A",
    "payment_type": "card",
    "plan": null,
    "fraud_status": "ok",
    "charge_type": "preauth",
    "created_at": "2024-03-18T10:04:04.000Z",
    "account_id": 20937,
    "customer": {
      "id": 2373843,
      "phone_number": null,
      "name": "Anonymous customer",
      "email": "developers@flutterwavego.com",
      "created_at": "2024-03-18T10:04:03.000Z"
    },
    "card": {
      "first_6digits": "537728",
      "last_4digits": "7450",
      "issuer": "MASTERCARD JSB PROBUSINESSBANK CREDITGOLD",
      "country": "RU",
      "type": "MASTERCARD",
      "expiry": "09/31"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flw_ref
string
required
Example:

"FLW-MOCK-PREAUTH-bde14443c3f233d11c5f574acc120399"

Body

application/json
amount
integer<int32>
required

Response

OK

status
string
required
message
string
required
data
Data · object
required
Example:
{
"id": 4973065,
"tx_ref": "YOUR_UNIQUE_REFERENCE",
"flw_ref": "FLW-MOCK-2477a2b9d7845b31976cd50c0af890f1",
"device_fingerprint": "N/A",
"amount": 100,
"charged_amount": 100,
"app_fee": 1.4,
"merchant_fee": 0,
"processor_response": "Please enter the OTP sent to your mobile number 080****** and email te**@rave**.com",
"auth_model": "NOAUTH",
"currency": "NGN",
"ip": "52.209.154.143",
"narration": "CARD Transaction ",
"status": "successful",
"auth_url": "https://ravesandboxapi.flutterwave.com/mockvbvpage?ref=FLW-MOCK-2477a2b9d7845b31976cd50c0af890f1&code=00&message=Approved.%20Successful&receiptno=RN1710749806478",
"payment_type": "card",
"plan": null,
"fraud_status": "ok",
"charge_type": "normal",
"created_at": "2024-03-18T08:16:46.000Z",
"account_id": 20937,
"customer": {
"id": 2373734,
"phone_number": null,
"name": "Anonymous customer",
"email": "developers@flutterwavego.com",
"created_at": "2024-03-18T08:16:46.000Z"
},
"card": {
"first_6digits": "553188",
"last_4digits": "2950",
"issuer": "MASTERCARD CREDIT",
"country": "NG",
"type": "MASTERCARD",
"expiry": "09/32"
}
}